﻿* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "Ubuntu", sans-serif;
}

html, body {
    height: 100%;
    margin: 0;
}

body.section {
    display: flex;
    flex-direction: column;  /* en columna */
    justify-content: center; /* centra vertical el contenido principal */
    align-items: center;     /* centra horizontal */
    min-height: 100vh;
    background: linear-gradient(90deg, rgba(238, 174, 202, 1) 33%, rgba(251, 128, 255, 0.56) 73%, rgba(148, 151, 233, 0.67) 100%);
    background-size: cover;
    background-repeat: no-repeat;
}

.login-card {
    max-width: 420px;
    width: 100%;
    border-radius: 25px;
}

.footer-powered {
    margin-top: 15px;   /* lo manda al fondo */
    text-align: center;
    padding: 15px 0;
}

.form {
  width: 920px;
  height: 600px;
  margin: 50px auto;
  padding: 45px 65px;
  /* background: linear-gradient(to right, #8300cd, #b800c4); */
}

.form__box {
  background: #fff;
  border-radius: 40px;
  box-shadow: 2px 2px v2px 2px rgba(0, 0, 0, 0.2);
  max-width: 500px;
  width: 100%;
  padding: 20px;
  box-sizing: border-box;
}

.form__title {
  font-size: 1.5rem;
  font-weight: bold;
  text-align: center;
  margin-bottom: 1.5rem;
}

.form__submit-btn {
  background: rgba(238, 174, 202, 1);
  border-radius: 20px;
  color: #fff;
  font-weight: bold;
  border: none;
  width: 100%;
  height: 35px;
}

.form__submit-btn:hover {
  background:  rgb(251, 207, 226);
}

.grey-btn {
  background: #bcbcbc;
  border-radius: 20px;
  color: #000;
  font-weight: bold;
  border: none;
  width: 100%;
  height: 35px;
}

.grey-btn:hover {
  background: #bcbcbc;
}

.field {
  display: block;
  width: 100%;
  margin-bottom: 25px;
  height: 35px;
  border-radius: 20px;
  border: none;
  background: #f2f2f2;
  padding: 10px;
  font-size: 14px;
}

a {
  color: rgba(238, 174, 202, 1);
}

a:hover {
  color:  rgb(251, 207, 226);
}

@media (max-width: 768px) {
  .form__box {
      padding: 1rem;
  }

  .form__title {
      font-size: 1.25rem;
  }
}

/* ----------------- 
      CARDS 
----------------- */

.card_style {
    box-shadow: rgba(0, 0, 0, 0.1) 0px 4px 12px !important;
}

.card_form {
    border-radius: 20px !important;
    box-sizing: border-box !important;
}

/* ----------------- 
    SWEETALERT
----------------- */

.toast-custom-light {
  box-shadow: rgba(0, 0, 0, 0.24) 0px 3px 10px !important;
}

.toast-custom-dark {
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.7) !important;
}

.sweet-btn {
  border-radius: 25px !important;
}
.sweet-btn:focus {
  /* se desactiva linea que rodea al boton focus */
  outline: none !important;
  box-shadow: none !important;
}

@media only screen and (max-width: 768px) {
  .form {
    width: 100%; /* Ancho completo en pantallas de celular */
    height: 450px; /* Altura automática en pantallas de celular */
  }
  
  .form__title {
    margin-top: 50px;
  }
  
  .form__right {
    width: 100%; /* Ocupa todo el ancho disponible en pantallas de celular */
  }

  .form__box.form__diferent {
    max-height: 100%;
  }
}